Package org.apache.wiki.search

# Class DefaultSearchManager.PluginSearch

java.lang.Object
org.apache.wiki.search.DefaultSearchManager.PluginSearch

All Implemented Interfaces:
  `WikiAjaxServlet`

Enclosing class:
  DefaultSearchManager

public class DefaultSearchManager.PluginSearch extends Object implements WikiAjaxServlet
Provides a JSON AJAX API to the JSPWiki Plugin discovery mechanism, primarily used for [{}] based auto complete

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`DefaultSearchManager.PluginSearch.SimpleSnipData`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`AJAX_ACTION_PLUGINS`
`static final int`
`DEFAULT_MAX_RESULTS`
`int`
`maxResults`

## Constructor Summary

Constructors
Constructor
Description
`PluginSearch()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getServletMapping()`
`void`
`service(jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse resp, String actionName, List<String> params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### AJAX_ACTION_PLUGINS

public static final String AJAX_ACTION_PLUGINS

See Also:
  - Constant Field Values

### DEFAULT_MAX_RESULTS

public static final int DEFAULT_MAX_RESULTS

See Also:
  - Constant Field Values

### maxResults

public int maxResults

## Constructor Details

### PluginSearch

public PluginSearch()

## Method Details

### getServletMapping

public String getServletMapping()

Specified by:
  `getServletMapping` in interface `WikiAjaxServlet`

### service

public void service(jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse resp, String actionName, List<String> params) throws IOException

Specified by:
  `service` in interface `WikiAjaxServlet`
Throws:
  `IOException`